import uvicorn
from app.app import create_app

# Use the application factory to create the FastAPI app instance
app = create_app()

if __name__ == "__main__":
    # This block allows you to run the application directly with 'python main.py'
    # For production, it's recommended to use the `uvicorn` command directly.
    uvicorn.run(app, host="0.0.0.0", port=8000)
